Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.presentation
Class OrderBean

    java.lang.Object
      org.apache.struts.action.ActionForm
          com.ibatis.struts.BaseBean
              com.ibatis.jpetstore.presentation.OrderBean

All Implemented Interfaces:
  Serializable

public class OrderBean
extends com.ibatis.struts.BaseBean

See Also:
  Serialized Form

Field Summary
`private static AccountService` | `accountService`
`private static List` | `CARD_TYPE_LIST`
`private boolean` | `confirmed`
`private Order` | `order`
`private int` | `orderId`
`private com.ibatis.common.util.PaginatedList` | `orderList`
`private static OrderService` | `orderService`
`private String` | `pageDirection`
`private boolean` | `shippingAddressRequired`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`OrderBean()`

Method Summary
`void` | `clear()`
`List` | `getCreditCardTypes()`
`Order` | `getOrder()`
`int` | `getOrderId()`
`List` | `getOrderList()`
`String` | `getPageDirection()`
`boolean` | `isConfirmed()`
`boolean` | `isShippingAddressRequired()`
`String` | `listOrders()`
`String` | `newOrder()`
`String` | `newOrderForm()`
`void` | `reset()`
`void` | `setConfirmed(boolean confirmed)`
`void` | `setOrder(Order order)`
`void` | `setOrderId(int orderId)`
`void` | `setPageDirection(String pageDirection)`
`void` | `setShippingAddressRequired(boolean shippingAddressRequired)`
`String` | `switchOrderPage()`
`void` | `validate()`
`String` | `viewOrder()`

Methods inherited from class com.ibatis.struts.BaseBean
`reset, reset, validate, validate, validateRequiredField`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, setMultipartRequestHandler, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### accountService

    private static final AccountService accountService

### orderService

    private static final OrderService orderService

### CARD_TYPE_LIST

    private static final List CARD_TYPE_LIST

### order

    private Order order

### orderId

    private int orderId

### shippingAddressRequired

    private boolean shippingAddressRequired

### confirmed

    private boolean confirmed

### orderList

    private com.ibatis.common.util.PaginatedList orderList

### pageDirection

    private String pageDirection

Constructor Detail

### OrderBean

    public OrderBean()

Method Detail

### getOrderId

    public int getOrderId()

### setOrderId

    public void setOrderId(int orderId)

### getOrder

    public Order getOrder()

### setOrder

    public void setOrder(Order order)

### isShippingAddressRequired

    public boolean isShippingAddressRequired()

### setShippingAddressRequired

    public void setShippingAddressRequired(boolean shippingAddressRequired)

### isConfirmed

    public boolean isConfirmed()

### setConfirmed

    public void setConfirmed(boolean confirmed)

### getCreditCardTypes

    public List getCreditCardTypes()

### getOrderList

    public List getOrderList()

### getPageDirection

    public String getPageDirection()

### setPageDirection

    public void setPageDirection(String pageDirection)

### newOrderForm

    public String newOrderForm()

### newOrder

    public String newOrder()

### listOrders

    public String listOrders()

### switchOrderPage

    public String switchOrderPage()

### viewOrder

    public String viewOrder()

### reset

    public void reset()

### clear

    public void clear()

### validate

    public void validate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.